realcsh(1)

NAME
realcxxsh.c - A shell for running C++ code

SYNOPSIS
realcxxsh.c [g++ options]

DESCRIPTION
realcsh.c is an interactive shell that runs C++ source code. A line of input is handled as a line in main() function, and the resulting C++ code is compiled, and executed.

If a line starting with # such as #include <iostream> is entered, it is added to every code after that at the start of sourcecode.

The list of such lines can be seen with ##

EXAMPLES

The following is an example session

$ ./realcxxsh.cc
REAL c++sh: cout << "Hello world;
Hello world
REAL c++sh: system ("pwd");
/home/dancer
REAL c++sh:

INTERNALS
The following is how the C++ code looks like.

/*BINFMTCXX:
*/
#include <iostream>

int main(int argc, char ** argv)
{
input-line
return 0;
}

AUTHOR
Junichi Uekawa (dancer@debian.org)

Upstream page is available at http://www.netfort.gr.jp/~dancer/software/

SEE ALSO
binfmtc-interpreter(1), realcsh.c(1), realksh.c(8)